{instancesFunctions}: let
  inherit (instancesFunctions) sopsPath;

  nginxLabel = "Ngnix";
  nginxName = "nginx";
in {
  name = nginxName;
  label = nginxLabel;
  sops = {
    path0 = "${sopsPath}/${nginxName}";
  };
  ports = {
    port0 = 8080; # HTTP
    port1 = 8443; # HTTPS
  };
}
